unit AREditorAbout;
//************************************************************//
//                         AND Report                        //
//  Eugene Hrulev (mrHru) Laxian Key, Omsk, Russia 1999,2001 //
//  Oleg Melnikov (muler) Laxian Key, Omsk, Russia 1999,2001 //
//************************************************************//

{$INCLUDE DEFINES.INC}

interface

uses
  SysUtils, Classes,
  {$IFDEF CLX}
    QForms, QExtCtrls, QButtons, QStdCtrls, QControls, QGraphics,
  {$ELSE}
    Forms, ExtCtrls, Buttons, StdCtrls, Controls,

    Windows, Messages, Graphics, Dialogs,
  {$ENDIF}

  ARResStrings, ARCurVersion;

type
  TARAboutDlg = class(TForm)
    Image1: TImage;
    Label1: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    Label5: TLabel;
    Label6: TLabel;
    Label7: TLabel;
    VersionLabel: TLabel;
    OKBtn: TBitBtn;
    procedure OKBtnClick(Sender: TObject);
    procedure StaticText5Click(Sender: TObject);
    procedure StaticText6Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
  public
  end;

implementation

{$R *.dfm}

procedure TARAboutDlg.OKBtnClick(Sender: TObject);
begin
  ModalResult:=mrOK;
end;

procedure TARAboutDlg.StaticText5Click(Sender: TObject);
var cmd:string;
begin
  cmd:='explorer http://mrhru.otts.ru';

  {$IFDEF CLX}
  {$ELSE}
    WinExec(PChar(cmd), SW_SHOW);
  {$ENDIF}
end;

procedure TARAboutDlg.StaticText6Click(Sender: TObject);
var cmd:string;
begin
  cmd:='explorer mailto:mrhru@omskmail.ru';

  {$IFDEF CLX}
  {$ELSE}
    WinExec(PChar(cmd), SW_SHOW);
  {$ENDIF}
end;

procedure TARAboutDlg.FormCreate(Sender: TObject);
begin
  Caption             :=rsAREditorAbout_ARAboutDlgCaption;
  VersionLabel.Caption:=rsAREditorAbout_VersionLabelCaption + rsAR_CurrentVersion;
  OKBtn.Caption       :=rsAR_OkCaption;
end;

end.
