unit Clients;
//************************************************************//
//                         AND Report                        //
//  Eugene Hrulev (mrHru) Laxian Key, Omsk, Russia 1999,2001 //
//  Oleg Melnikov (muler) Laxian Key, Omsk, Russia 1999,2001 //
//************************************************************//

{$INCLUDE DEFINES.INC}

interface

uses
  SysUtils,
  {$IFDEF CLX}
  {$ELSE}
    ARSQL,
  {$ENDIF}

  ARUserRep;

procedure ClientsReport(Rep: TARUserRep);

implementation

uses Main;

procedure ClientsReport(Rep: TARUserRep);
{$IFDEF CLX}
{$ELSE}
var Q:TSQL;
{$ENDIF}
begin
	Rep.Load(ExtractFilePath(ParamStr(0)) + '\Clients.ar');
  Rep.Title:='Clients report';
	Rep.AddBands('Header');

  {$IFDEF CLX}
  {$ELSE}
    Q:=TSQL.CreateDB(DemoDlg.Database1);
    try
      Q.Add('SELECT * FROM CLIENTS');
      Q.Open;
      DemoDlg.ProgressBar.Position:=0;
      DemoDlg.ProgressBar.Max:=Q.RecordCount;

      while not Q.EOF do begin
  //      Rep.BeginPara;
  {
        Rep.S['LAST_NAME']	:=Q.S['LAST_NAME'];
        Rep.S['FIRST_NAME']	:=Q.S['FIRST_NAME'];
        Rep.S['ACCT_NBR']	  :=Q.S['ACCT_NBR'];
        Rep.S['ADDRESS_1']	:=Q.S['ADDRESS_1'];
        Rep.S['CITY']	      :=Q.S['CITY'];
        Rep.S['STATE']	    :=Q.S['STATE'];
        Rep.S['ZIP']	      :=Q.S['ZIP'];
        Rep.S['TELEPHONE']	:=Q.S['TELEPHONE'];
        Rep.S['DATE_OPEN']	:=Q.S['DATE_OPEN'];
        Rep.S['SS_NUMBER']	:=Q.S['SS_NUMBER'];
        Rep.S['BIRTH_DATE']	:=Q.S['BIRTH_DATE'];
        Rep.S['RISK_LEVEL']	:=Q.S['RISK_LEVEL'];
        Rep.S['OCCUPATION']	:=Q.S['OCCUPATION'];
        Rep.S['OBJECTIVES']	:=Q.S['OBJECTIVES'];
        Rep.S['INTERESTS']	:=Q.S['INTERESTS'];
        Rep.G['IMAGE']	    :=Q.G['IMAGE'];
  }
        // it replaced all above
        Rep.SetDSValues(Q.DataSet);
        Rep.AddBands('Band');

        Q.Next;
        DemoDlg.ProgressBar.StepIt;
      end;
    finally
      Q.Free;
    end;
  {$ENDIF}

  Rep.FixedBands:=1;
end;

end.
