unit Simple;
//************************************************************//
//                         AND Report                        //
//  Eugene Hrulev (mrHru) Laxian Key, Omsk, Russia 1999,2001 //
//  Oleg Melnikov (muler) Laxian Key, Omsk, Russia 1999,2001 //
//************************************************************//

{$INCLUDE DEFINES.INC}

interface

uses
  SysUtils, Classes,
  {$IFDEF CLX}
  {$ELSE}
    Forms, Dialogs, ARSQL,
  {$ENDIF}
  ARPrinter, ARUserRep;

procedure SimpleReport(Rep: TARUserRep);

implementation

uses Main;

procedure SimpleReport(Rep: TARUserRep);
{$IFDEF CLX}
{$ELSE}
var Q:TSQL;
{$ENDIF}
begin
	Rep.Load(ExtractFilePath(ParamStr(0)) + '\Simple.ar');

  Rep.Title:='Simple report';
	Rep.AddBands('Title');
	// add PageHeader at the first page
	Rep.AddBands('Header');

  {$IFDEF CLX}
  {$ELSE}
    Q:=TSQL.CreateDB(DemoDlg.Database1);
    try
      Q.Add('SELECT * FROM CUSTOMER ORDER BY COMPANY');
      Q.Open;
      DemoDlg.ProgressBar.Position:=0;
      DemoDlg.ProgressBar.Max:=Q.RecordCount;
      while not Q.EOF do begin
  {
        Rep.S['Company']	:=Q.S['COMPANY'];
        Rep.S['Contact']	:=Q.S['CONTACT'];
        Rep.S['Phone']		:=Q.S['PHONE'];
        Rep.S['Fax']			:=Q.S['FAX'];
        Rep.I['CustNo']		:=Q.I['CUSTNO'];
  }
        // it replaced all above
        Rep.SetDSValues(Q.DataSet);

        Rep.I['CustNo']		:=Q.I['CUSTNO'];

        Rep.AddBands('Band');

        Q.Next;
        DemoDlg.ProgressBar.StepIt;
      end;
    finally
      Q.Free;
    end;
  {$ENDIF}

	Rep.D['CurrDate']:=Now;

  Rep.FixedBands:=2;
  Rep.FixedCells:=1;
end;

end.
