unit ARPrintProgress;
//************************************************************//
//                         AND Report                        //
//  Eugene Hrulev (mrHru) Laxian Key, Omsk, Russia 1999,2001 //
//  Oleg Melnikov (muler) Laxian Key, Omsk, Russia 1999,2001 //
//************************************************************//

{$INCLUDE DEFINES.INC}

interface

uses
  Classes,
  {$IFDEF CLX}
    QStdCtrls, QButtons, QControls, QComCtrls, QForms, QTypes,
  {$ELSE}
    StdCtrls, Buttons, Controls, ComCtrls, Forms,
  {$ENDIF}

  ARResStrings;

type
  TPrintProgressDlg = class(TForm)
    PB: TProgressBar;
    AbortBtn: TBitBtn;
    PagesLabel: TLabel;
    procedure   AbortBtnClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  public
    Terminate  :boolean;
    {$IFDEF D3}
      constructor Create(AOwner:TComponent;ACaption:TCaption);
    {$ELSE}
      constructor Create(AOwner:TComponent;ACaption:TCaption);reintroduce;
    {$ENDIF}
  end;

implementation

{$R *.dfm}

constructor TPrintProgressDlg.Create(AOwner:TComponent;ACaption:TCaption);
begin
  inherited  Create(AOwner);
  Caption:=ACaption;
end;

procedure   TPrintProgressDlg.AbortBtnClick(Sender: TObject);
begin
  Terminate:=true;
end;

procedure TPrintProgressDlg.FormCreate(Sender: TObject);
begin
  AbortBtn.Caption:=rsPrintProgress_AbortBtnCaption;
end;

end.
