unit ARResStrings;
//************************************************************//
//                         AND Report                        //
//  Eugene Hrulev (mrHru) Laxian Key, Omsk, Russia 1999,2001 //
//  Oleg Melnikov (muler) Laxian Key, Omsk, Russia 1999,2001 //
//************************************************************//

{$INCLUDE DEFINES.INC}

interface

ResourceString

{$IFDEF MSWINDOWS}

  {$IFDEF LOCALE_CZECH}
    {$INCLUDE ..\Locale\Czech.inc}
  {$ENDIF}

  {$IFDEF LOCALE_ENGLISH}
    {$INCLUDE ..\Locale\English.inc}
  {$ENDIF}

  {$IFDEF LOCALE_GERMAN}
    {$INCLUDE ..\Locale\German.inc}
  {$ENDIF}

  {$IFDEF LOCALE_HUNGARIAN}
    {$INCLUDE ..\Locale\Hungarian.inc}
  {$ENDIF}

  {$IFDEF LOCALE_ITALIAN}
    {$INCLUDE ..\Locale\Italian.inc}
  {$ENDIF}

  {$IFDEF LOCALE_SPANISH}
    {$INCLUDE ..\Locale\Spanish.inc}
  {$ENDIF}

  {$IFDEF LOCALE_PORTUGUES}
    {$INCLUDE ..\Locale\Portugues.inc}
  {$ENDIF}

  {$IFDEF LOCALE_RUSSIAN}
    {$INCLUDE ..\Locale\Russian.inc}
  {$ENDIF}


{$ENDIF}

{$IFDEF LINUX}

  {$IFDEF LOCALE_CZECH}
    {$INCLUDE ../locale/Czech.inc}
  {$ENDIF}

  {$IFDEF LOCALE_ENGLISH}
    {$INCLUDE ../locale/English.inc}
  {$ENDIF}

  {$IFDEF LOCALE_GERMAN}
    {$INCLUDE ../locale/German.inc}
  {$ENDIF}

  {$IFDEF LOCALE_HUNGARIAN}
    {$INCLUDE ../locale/Hungarian.inc}
  {$ENDIF}

  {$IFDEF LOCALE_ITALIAN}
    {$INCLUDE ../locale/Italian.inc}
  {$ENDIF}

  {$IFDEF LOCALE_SPANISH}
    {$INCLUDE ../locale/Spanish.inc}
  {$ENDIF}

  {$IFDEF LOCALE_PORTUGUES}
    {$INCLUDE ../locale/Portugues.inc}
  {$ENDIF}

  {$IFDEF LOCALE_RUSSIAN}
    {$INCLUDE ../locale/Russian.inc}
  {$ENDIF}

{$ENDIF}


implementation

end.

